Skip to navigation

Get elastic template object

View as Markdown

Retrieves the definition of the specified elastic template.

Required authentication scopes: click.manage.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequired

The external account number (int) or account ID GUID.

clickwrapIdstringRequired
The GUID of the elastic template.

Response

Successful response.
accountIdstringOptional

The external account number (int) or account ID GUID.

clickwrapIdstringOptional
The GUID of the elastic template.
clickwrapNamestringOptional
The name of the elastic template.
clickwrapVersionIdstringOptional
The unique GUID of this elastic template version.
createdTimeobjectOptional
The time that the elastic template was created.
dataFieldslist of objectsOptional

An array of dataField objects.

displaySettingsobjectOptional
Information about how an agreement is displayed.
documentslist of objectsOptional
An array of documents.
lastModifiedobjectOptional
The time that the elastic template was last modified.
lastModifiedBystringOptional
The user GUID of the last user who modified this elastic template.
ownerUserIdstringOptional
The user ID of the owner of this clickwrap.
requireReacceptancebooleanOptional

When true, requires signers who have previously agreed to this elastic signing agreement to sign again. The major version number is incremented, and the minor version number is set to zero. For example: 2.1 to 3.0

When false, signers who have previously agreed do not need to sign again. Only the minor version number is incremented. For example: 2.1 to 2.2

scheduledDateobjectOptional
The time and date when this elastic template is activated.
scheduledReacceptanceobjectOptional
statusstringOptional

Clickwrap status. Possible values:

  • active
  • inactive
  • deleted
versionIdstringOptional
The ID of the version.
versionNumberstringOptional

Human-readable version number. For example 1.2.

Errors

400
Bad Request Error